#ifndef SGX_CORE_MEMORY_CMEMORY_H
#define SGX_CORE_MEMORY_CMEMORY_H	1

/**
* A C-compatible set of wrappers for the memory functions
*/
#ifdef __cplusplus
extern "C" {
#endif

void *sgxAllocWrapper(int sz);
void *sgxCallocWrapper(int sz, int isz);
void *sgxReallocWrapper(void *ptr, int sz);
void  sgxFreeWrapper(void *ptr);

#ifdef __cplusplus
}
#endif

#endif /* SGX_CORE_MEMORY_CMEMORY_HPP */
